Analytics
Get Search Console performance
Clicks, impressions and CTR totals with the daily timeline, read live from Google, plus the average
position on target keyword (totals and daily) read from the Search Console history Sorank stores,
and sorank_started_at, the day Sorank first acted on the site (first live article or first
Improvements fix applied), shown as a marker on the chart.
Live Google read for the inclusive start..end range (at most the configured
maximum, 486 days by default; end at most today in UTC). May refresh the
site’s Google access token. Charged to the analytics rate budget.
GET
/
profiles
/
{profile_id}
/
search-console
/
performance
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"totals": {
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123,
"position_pages": 123,
"position_pages_not_visible": 123
},
"timeline": [
{
"date": "2023-12-25",
"clicks": 123,
"impressions": 123,
"position": 123
}
],
"sorank_started_at": "2023-12-25"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"totals": {
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123,
"position_pages": 123,
"position_pages_not_visible": 123
},
"timeline": [
{
"date": "2023-12-25",
"clicks": 123,
"impressions": 123,
"position": 123
}
],
"sorank_started_at": "2023-12-25"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
